### Method

# GObject Object steal_data

#### Declaration

    gpointer
    g_object_steal_data (
      GObject* object,
      const gchar* key
    )

#### Description

Remove a specified datum from the object’s data associations, without invoking the association’s destroy handler.

#### Parameters

`key`

  Type: `const gchar*`

  Name of the key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

The data if found, or `NULL` if no such data exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.